package com.gxzc.zen.common.dto

import com.fasterxml.jackson.annotation.JsonFormat
import khronos.Dates
import java.util.*


/**
 * 基础 数据传输对象
 * @author NorthLan
 * @date 2018/2/1
 * @url https://noahlan.com
 */
data class ResultDto(
        val code: Int,
        val msg: String?,
        val data: Any?
) {
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    val time: Date = Dates.today
}